Subject: Re: bug#65310: test failure on Alpine Linux: tests/sort/sort-debug-keys

From: Bruno Haible <[email-masked]>
Date: Tue, 15 Aug 2023 23:42:14 +0200

Pádraig Brady wrote:
> The fact that ',' isn't used as the decimal point is surprising,
> and is what's causing the test to fail.

Ah, I see. Yes, for some tests one only needs a fr_FR.UTF-8 that supports
UTF-8 in LC_CTYPE, whereas for other tests it also needs to support the
LC_NUMERIC category correctly.

> The attached adds an extra guard to the test to skip this portion
> if ',' is not in fact the decimal point.

Thanks!

Bruno